%define major		0
%define kde_major	4
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		simon
Version:	0.4.1
Release:	%mkrel 3
Summary:	Speech recognition
License:	GPLv2+
Group:		Accessibility
URL:		https://simon.kde.org/
Source0:	http://download.kde.org/stable/simon/%{version}/src/%{name}-%{version}.tar.bz2
# default simonmodelcompilationrc with the correct sphinxtrain executable paths
Source1:	simonmodelcompilationrc
Patch0:		simon-0.4.1-desktop_russian.patch
## upstreamable patches
# support LIB_SUFFIX, don't hard-code <prefix>/lib libdir
Patch50:	simon-0.4.1-LIB_SUFFIX.patch
# fix/avoid unversioned shared library libeventsimulation
Patch51:	simon-0.4.1-libeventsimulation_soname.patch
# don't pass absolute path to KConfig so global simonmodelcompilationrc is found
Patch52:	simon-0.4.0-speechmodelcompilation-kconfig.patch
## upstream patches
# don't mix-n-match double and qreal
Patch100:	simon-0.4.1-qreal.patch

BuildRequires:	bison
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	kdelibs4-devel
BuildRequires:	kdepimlibs4-devel
BuildRequires:	libqaccessibilityclient-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	pkgconfig(pocketsphinx)
BuildRequires:	pkgconfig(qwt) >= 6
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sphinxbase)
BuildRequires:	pkgconfig(xtst)

# Simon needs binaries from these packages
Requires:	pocketsphinx
Requires:	sphinxbase

%description
Simon is an open-source speech recognition program and replaces the mouse
and keyboard. It is designed to be very flexible and allows customization
for any application where speech recognition is needed. It is in development
for physically disabled people and seniors to give them the possibility to
chat, to write e-mails, to surf the internet, to do internet-banking and much
more.


%package -n	%{libname}
Summary:	Runtime libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
Runtime libraries for %{name}.


%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files for %{name}.


%package	doc
Summary:	Application handbook documentation for %{name}
Group:		Documentation
License:	GFDL
BuildArch:	noarch

%description	doc
Application handbook documentation for %{name}.

%prep
%setup -q

%apply_patches

# drop broken FindOpenCV.cmake
rm -fv cmake/FindOpenCV.cmake

%build
%cmake_kde4

%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name

## unpackaged files
rm -fv %{buildroot}%{_kde_appsdir}/simon.log

install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_kde_configdir}/simonmodelcompilationrc

%files  -f %{name}.lang
%doc AUTHORS Changelog COPYING COPYING.LIB README.txt
%{_kde_bindir}/afaras
%{_kde_bindir}/ksimond
%{_kde_bindir}/sam
%{_kde_bindir}/simon
%{_kde_bindir}/simond
%{_kde_bindir}/ssc
%{_kde_bindir}/sscd
%{_kde_libdir}/kde4/*.so
%{_kde_appsdir}/*.rc
%{_kde_appsdir}/*.xml
%{_kde_appsdir}/ai/
%{_kde_appsdir}/sam/
%{_kde_appsdir}/simon/
%{_kde_appsdir}/ssc/
%{_kde_appsdir}/simoninfo/
%{_kde_appsdir}/simond/
%{_kde_configdir}.kcfg/*.kcfg
%{_kde_configdir}/*.knsrc
%{_kde_configdir}/simonmodelcompilationrc
%{_kde_datadir}/sscd/
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_datadir}/autostart/ksimond_autostart.desktop
%{_kde_datadir}/autostart/simon_autostart.desktop
%{_kde_datadir}/kde4/services/*.desktop
%{_kde_datadir}/kde4/servicetypes/*.desktop
%{_kde_iconsdir}/hicolor/*/apps/*.png

%files -n %{libname}
%doc COPYING COPYING.LIB
%{_kde_libdir}/libevents*.so.%{major}
%{_kde_libdir}/libevents*.so.%{major}.*
%{_kde_libdir}/libsimona*.so.%{major}
%{_kde_libdir}/libsimona*.so.%{major}.*
%{_kde_libdir}/libsimonc*.so.%{major}
%{_kde_libdir}/libsimonc*.so.%{major}.*
%{_kde_libdir}/libsimond*.so.%{major}
%{_kde_libdir}/libsimond*.so.%{major}.*
%{_kde_libdir}/libsimong*.so.%{major}
%{_kde_libdir}/libsimong*.so.%{major}.*
%{_kde_libdir}/libsimoni*.so.%{major}
%{_kde_libdir}/libsimoni*.so.%{major}.*
%{_kde_libdir}/libsimonj*.so.%{major}
%{_kde_libdir}/libsimonj*.so.%{major}.*
%{_kde_libdir}/libsimonl*.so.%{major}
%{_kde_libdir}/libsimonl*.so.%{major}.*
%{_kde_libdir}/libsimonm*.so.%{major}
%{_kde_libdir}/libsimonm*.so.%{major}.*
%{_kde_libdir}/libsimonp*.so.%{major}
%{_kde_libdir}/libsimonp*.so.%{major}.*
%{_kde_libdir}/libsimonr*.so.%{major}
%{_kde_libdir}/libsimonr*.so.%{major}.*
%{_kde_libdir}/libsimonsampleshare.so.%{kde_major}
%{_kde_libdir}/libsimonsampleshare.so.%{kde_major}.*
%{_kde_libdir}/libsimonsc*.so.%{major}
%{_kde_libdir}/libsimonsc*.so.%{major}.*
%{_kde_libdir}/libsimonso*.so.%{major}
%{_kde_libdir}/libsimonso*.so.%{major}.*
%{_kde_libdir}/libsimont*.so.%{major}
%{_kde_libdir}/libsimont*.so.%{major}.*
%{_kde_libdir}/libsimonu*.so.%{major}
%{_kde_libdir}/libsimonu*.so.%{major}.*
%{_kde_libdir}/libsimonv*.so.%{major}
%{_kde_libdir}/libsimonv*.so.%{major}.*
%{_kde_libdir}/libsimonw*.so.%{major}
%{_kde_libdir}/libsimonw*.so.%{major}.*
%{_kde_libdir}/libsimonx*.so.%{major}
%{_kde_libdir}/libsimonx*.so.%{major}.*
%{_kde_libdir}/libsscdaccess.so.%{kde_major}
%{_kde_libdir}/libsscdaccess.so.%{kde_major}.*
%{_kde_libdir}/libssco*.so.%{major}
%{_kde_libdir}/libssco*.so.%{major}.*

%files -n %{develname}
%doc COPYING COPYING.LIB
%{_kde_libdir}/lib*.so
%{_kde_includedir}/simon/
%{_kde_includedir}/simond/
%{_kde_includedir}/ssc/

%files doc
%doc COPYING.DOC
%{_kde_docdir}/HTML/ca
%{_kde_docdir}/HTML/de
%{_kde_docdir}/HTML/en
%{_kde_docdir}/HTML/es
%{_kde_docdir}/HTML/et
%{_kde_docdir}/HTML/it
%{_kde_docdir}/HTML/nl
%{_kde_docdir}/HTML/pt
%{_kde_docdir}/HTML/pt_BR
%{_kde_docdir}/HTML/sv
%{_kde_docdir}/HTML/uk


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.4.1-3.mga6
+ Revision: 962826
- Mageia 6 Mass Rebuild

* Tue Sep 15 2015 daviddavid <daviddavid> 0.4.1-2.mga6
+ Revision: 879560
- fix empty lang file on doc subpackage (fix build with new rpm 4.13.0)

* Mon Jun 22 2015 daviddavid <daviddavid> 0.4.1-1.mga6
+ Revision: 839571
- imported package simon (based on Rosa)

